//
// globals.cc
//

/*
 *  gTybalt Copyright (C) 2001 Stefan Weinzierl and Roberta Marani
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "globals.h"

// gGinacTexmacs for output format prettyprint/rawprint
int gGinacTexmacs;

// global variables needed for the plotting routine
GiNaC::ex gTybaltPlotExpr;
GiNaC::ex gTybaltPlotSymbol_x;
GiNaC::ex gTybaltPlotSymbol_y;

double gTybaltPlot_xmin;
double gTybaltPlot_xmax;
double gTybaltPlot_ymin;
double gTybaltPlot_ymax;

int gTybalt_pthread_flag;
pthread_mutex_t gTybalt_pthread_mutex;
pthread_cond_t  gTybalt_pthread_condition;

// global variables needed for the numerical integration routine
double gTybalt_int_res;
double gTybalt_int_err;
double gTybalt_int_chi2;

size_t gTybalt_int_iter_low = 5;
size_t gTybalt_int_iter_high = 10;

size_t gTybalt_int_calls_low = 10000;
size_t gTybalt_int_calls_high = 100000;


