#! /usr/bin/perl -w

undef $/;

foreach $file (@ARGV) {
 
    my $tmpfile;
    $tmpfile = "tmp${file}tmp";

    open (INPUT,"<$file") or die "Can't open input file $file\n";
    open (TMPFILE, "> $tmpfile") or die "Can't open temporary file: $!\n";

    # Read input file as one long record 
    $data=<INPUT>;

    # replace
    #  #include "ginac/ginac.h"
    # with
    #  #include "../ginac_headers/ginac.h"
    #
    $data =~ s/\#include \"ginac\/ginac\.h\"/\#include \"\.\.\/ginac_headers\/ginac\.h\"/g;

    # replace
    #   template<> inline ...
    #   {
    #   	...
    #   }
    # with
    #   #ifndef __MAKECINT__
    #   template<> inline ...
    #   {
    #   	...
    #   }
    #   #endif
#    $data =~ s/\n(.*?template\<\> inline.*?\n\{.*?\n.*?\n\}.*?\n)/\n\#ifndef __MAKECINT__\n$1\#endif\n/g;


    print TMPFILE $data;

    close INPUT;
    close TMPFILE;
    rename $tmpfile, $file;

} # end foreach

exit(0);



